Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.bindbee.dev/api/hris/v1/locations/{id} \ --header 'Authorization: Bearer <token>' \ --header 'X-Connector-Token: <api-key>'
import requests url = "https://api.bindbee.dev/api/hris/v1/locations/{id}" headers = { "Authorization": "Bearer <token>", "X-Connector-Token": "<api-key>" } response = requests.get(url, headers=headers) print(response.text)
const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-Connector-Token': '<api-key>'} }; fetch('https://api.bindbee.dev/api/hris/v1/locations/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.bindbee.dev/api/hris/v1/locations/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "X-Connector-Token: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.bindbee.dev/api/hris/v1/locations/{id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("X-Connector-Token", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.bindbee.dev/api/hris/v1/locations/{id}") .header("Authorization", "Bearer <token>") .header("X-Connector-Token", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.bindbee.dev/api/hris/v1/locations/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' request["X-Connector-Token"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "018b18ef-c487-703c-afd9-0ca478ccd9d6", "remote_id": "123321", "modified_at": "2021-10-16T00:00:00Z", "custom_fields": { "category_group": "REG", "disability_type": "ASBERG", "hire_date": "1991-03-16T00:00:00", "hire_source": "REFER", "nationality": "USA", "original_hire_date": "1991-03-16T00:00:00" }, "raw_data": { "key_1": "Platform dependent data 1", "key_2": "Platform dependent data 2" }, "name": "UK-HO-London", "street_1": "1011", "street_2": "Lane number 4, Golden Villa", "city": "London", "state": "LND", "postal_code": "56273", "country": "UK" }
{ "detail": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Returns a Location object with the given id.
Your Bindbee API key, sent as Authorization: Bearer <BINDBEE_API_KEY>. Required on every request.
Authorization: Bearer <BINDBEE_API_KEY>
The connector token for one customer's connection. This is not your Bindbee API key. Required on requests that read or write a single customer's data.
Whether to include the original data Bindbee fetched from the third-party to produce these models.
false
Whether to include custom fields in the response.
Successful Response
"018b18ef-c487-703c-afd9-0ca478ccd9d6"
The third-party API ID of the matching object.
"123321"
This is the datetime that this object was last updated by Bindbee
"2021-10-16T00:00:00Z"
The custom fields related to the model
{ "category_group": "REG", "disability_type": "ASBERG", "hire_date": "1991-03-16T00:00:00", "hire_source": "REFER", "nationality": "USA", "original_hire_date": "1991-03-16T00:00:00" }
This is the Raw data
{ "key_1": "Platform dependent data 1", "key_2": "Platform dependent data 2" }
Name of the location
"UK-HO-London"
Street 1
"1011"
Street 2
"Lane number 4, Golden Villa"
City
"London"
State
"LND"
Postal Code
"56273"
Country
"UK"
Was this page helpful?